Fix order of includes

--- clamsmtp-1.10/common/usuals.h       2007-05-27 01:57:56.000000000 +0200
+++ clamsmtp-patched/common/usuals.h    2015-03-01 16:48:10.684201573 +0100
@@ -39,10 +39,10 @@
 #ifndef __USUALS_H__
 #define __USUALS_H__

-#include <sys/types.h>
-
 #include "config.h"

+#include <sys/types.h>
+
 #include <stdio.h>
 #include <stdlib.h>
 #include <errno.h>
diff -Nru clamsmtp-1.10/configure.in clamsmtp-patched/configure.in
--- clamsmtp-1.10/configure.in  2008-06-30 19:01:48.000000000 +0200
+++ clamsmtp-patched/configure.in       2015-03-01 16:40:02.278986882 +0100
@@ -51,6 +51,8 @@
 AC_PROG_LN_S
 AC_PROG_MAKE_SET

+AC_USE_SYSTEM_EXTENSIONS
+
 # Debug mode
 AC_ARG_ENABLE(debug,=20
         AC_HELP_STRING([--enable-debug],

diff -Nru clamsmtp-1.10/common/smtppass.c clamsmtp-patched/common/smtppass.c
--- clamsmtp-1.10/common/smtppass.c	2015-03-02 09:36:27.793398352 +0100
+++ clamsmtp-patched/common/smtppass.c	2015-03-02 09:38:50.843467581 +0100
@@ -38,6 +38,8 @@
  *  Olivier Beyssac <ob@r14.freenix.org>
  */ 
 
+#include "usuals.h"
+
 #include <sys/time.h>
 #include <sys/types.h>
 #include <sys/socket.h>
@@ -58,17 +58,15 @@
 #include <pwd.h>
 #include <time.h>
 
-#include "usuals.h"
-
-#ifdef LINUX_TRANSPARENT_PROXY
-#include <linux/netfilter_ipv4.h>
-#endif
-
 #include "compat.h"
 #include "sock_any.h"
 #include "stringx.h"
 #include "sppriv.h"
 
+#ifdef LINUX_TRANSPARENT_PROXY
+#include <linux/netfilter_ipv4.h>
+#endif
+
 /* -----------------------------------------------------------------------
  *  STRUCTURES
  */
